## landslide 1.1.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Landslide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Landslide.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Landslide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Landslide"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## landslide 0.8.2

=== debian/changelog ===
landslide (0.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:50 +0200

landslide (0.8.2-1) unstable; urgency=low

  * Initial upload (Closes: #614424)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 22 Feb 2011 01:19:20 +0100

=== debian/control ===
Source: landslide
Maintainer: Damien Raude-Morvan <drazzib@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: https://github.com/adamzap/landslide

Package: python-landslide
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
Description: Lightweight markup language-based html5 slideshow generator
 Landside is a tool which can generates an HTML5 slideshow using lightweight
 markup as input.
 .
 You can write your slide contents easily using two syntaxes:
  * Markdown
  * ReStructuredText
 .
 This tool support CSS/JS theming, PDF export (using PrinceXML Python library),
 embed images with Base64 (for stand-alone document) and fancy transitions.
 .
 Sample presentation is visible here : <http://slides.html5rocks.com/>.

## landslide 1.0.0

=== debian/changelog ===
landslide (1.0.0-2) unstable; urgency=low

  * Add missing dependency on python-pkg-resources. Thanks to Jakub Wilk for
    notifying (Closes: #645254).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 17 Oct 2011 23:17:43 +0200

landslide (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Add Vcs-* headers.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 21 Sep 2011 15:38:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Section: python
 Priority: optional
 Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 8)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://github.com/adamzap/landslide
+Vcs-Git: git://anonscm.debian.org/collab-maint/landslide.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/landslide.git
 
 Package: python-landslide
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
 Breaks: ${python:Breaks}
 Description: Lightweight markup language-based html5 slideshow generator
  Landside is a tool which can generates an HTML5 slideshow using lightweight

## landslide 1.0.1

=== debian/changelog ===
landslide (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 21 Nov 2011 00:20:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3
http://githubredir.debian.net/github/adamzap/landslide \
 /github/adamzap/landslide/v(.*).tar.gz

## landslide 1.1.3

=== debian/changelog ===
landslide (1.1.3-0.0) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Fix the watch file.
  * Use dh9.
  * Fix Vcs-*.
  * Remove ${python:Breaks}, add ${python:Provides}.
  * Use pybuild, enable tests.
  * Install examples.
  * Update build-dependencies.
  * Update the manpage.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 16 Sep 2017 18:40:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,25 @@
 Maintainer: Damien Raude-Morvan <drazzib@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 8)
+Build-Depends:
+    debhelper (>= 9),
+    dh-python,
+    python-setuptools (>= 0.6b3),
+    python-all (>= 2.6.6-3),
+    python-six,
+    python-markdown,
+    python-jinja2,
+    python-pygments,
+    python-docutils
 Standards-Version: 3.9.2
 Homepage: https://github.com/adamzap/landslide
 Vcs-Git: git://anonscm.debian.org/collab-maint/landslide.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/landslide.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/landslide.git
 
 Package: python-landslide
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
-Breaks: ${python:Breaks}
+Provides: ${python:Provides}
 Description: Lightweight markup language-based html5 slideshow generator
  Landside is a tool which can generates an HTML5 slideshow using lightweight
  markup as input.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST := ln -s $(CURDIR)/src/landslide/test-data {build_dir}/landslide
export PYBUILD_AFTER_TEST := rm {build_dir}/landslide/test-data

%:
	dh $@ --with python2 --buildsystem=pybuild

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/landslide-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/ \
  https://github.com/adamzap/landslide/tags .*/v?(\d\S*)\.tar\.gz

## landslide 1.1.3+0

=== debian/changelog ===
landslide (1.1.3+0) unstable; urgency=medium

  * Convert to a dummy native package (Closes: #946061).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 04 Dec 2019 14:01:08 +0000

landslide (1.1.3-2) unstable; urgency=medium

  * Remove the shipped Python 2 module (Closes: #936815).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 Nov 2019 14:55:55 +0100

landslide (1.1.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * d/control: Set Vcs-* to salsa.debian.org.

  [ Andrej Shadura ]
  * No longer ship real landslide binary, install a wrapper for darkslide
    instead.
  * Move to oldlibs and deprecate the package.
  * Set myself as the maintainer.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Oct 2018 15:54:19 +0200

=== debian/control ===
Source: landslide
Maintainer: Andrej Shadura <andrewsh@debian.org>
Section: oldlibs
Priority: optional
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: https://github.com/adamzap/landslide
Vcs-Git: https://salsa.debian.org/debian/landslide.git
Vcs-Browser: https://salsa.debian.org/debian/landslide

Package: python-landslide
Architecture: all
Depends: ${misc:Depends}, darkslide
Description: Lightweight markup language-based html5 slideshow generator (compatibility package)
 Landside is a tool which can generates an HTML5 slideshow using lightweight
 markup as input.
 .
 You can write your slide contents easily using two syntaxes:
  * Markdown
  * ReStructuredText
 .
 This tool support CSS/JS theming, PDF export (using PrinceXML Python library),
 embed images with Base64 (for stand-alone document) and fancy transitions.
 .
 Sample presentation is visible here : <http://slides.html5rocks.com/>.
 .
 This package no longer ships the original landslide tool, but a compatibility
 wrapper for darkslide. After you have updated your scripts to use darkslide, this
 package may be safely removed.

## landslide 1.1.3+0build1

=== debian/changelog ===
landslide (1.1.3+0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 22:01:05 +0000
